<?php
if (!defined('_VALID_MOS') && !defined('_JEXEC'))
    die('Direct Access to ' . basename(__FILE__) . ' is not allowed.');

/**
 *
 * @package  VehicleManager
 * @copyright 2012 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com);
 * Homepage: http://www.ordasoft.com
 * @version: 3.0 Pro 
 * Shifted to J 1.6 on June 2011
 * */
//require_once($mosConfig_absolute_path . "/libraries/joomla/plugin/helper.php");
jimport( 'joomla.plugin.helper' );
///require_once($mosConfig_absolute_path . "/includes/HTML_toolbar.php");
require_once($mosConfig_absolute_path . "/administrator/includes/toolbar.php");
if (version_compare(JVERSION, "3.0.0", "lt"))
    require_once($mosConfig_absolute_path . "/libraries/joomla/html/toolbar.php");

require_once($mosConfig_absolute_path . "/components/com_vehiclemanager/vehiclemanager.php");
require_once($mosConfig_absolute_path . "/components/com_vehiclemanager/functions.php");
require_once($mosConfig_absolute_path . "/administrator/components/com_vehiclemanager/menubar_ext.php");

$doc = JFactory::getDocument();
$GLOBALS['doc'] = $doc;
$g_item_count = 0;

class HTML_vehiclemanager
{

    static function showRentRequest(& $vehicles, & $currentcat, & $params, & $tabclass, & $catid, & $sub_categories, $is_exist_sub_categories)
    {

        ///require_once( $GLOBALS['mosConfig_absolute_path'] . '/includes/pageNavigation.php' );
        ///$pageNav = new mosPageNav(0, 0, 0);
        $pageNav = new JPagination(0, 0, 0); // for J 1.6
        HTML_vehiclemanager::displayVehicles($vehicles, $currentcat, $params, $tabclass, $catid, $sub_categories, $is_exist_sub_categories, $pageNav);
        // add the formular for send to :-)
    }

    static function displayVehicles(&$rows, $currentcat, &$params, $tabclass, $catid, $categories, $is_exist_sub_categories, &$pageNav, $layout = "list")
    {
        global $mosConfig_absolute_path;

        $type = 'alone_category';
        require getLayoutPath::getLayoutPathCom('com_vehiclemanager',$type, $layout);

    }

    /**
     * Displays the vehicle
     * rent Status
     */
    static function displayVehicle(& $vehicle, & $tabclass, & $params, & $currentcat, & $rating, & $vehicle_photos, & $id, & $catid, & $vehicle_feature, & $currencys_price, & $layout = 'default')
    {
        if (!$catid) $catid = JRequest::getVar('catid');
        global $mosConfig_absolute_path;
        $type = 'view_vehicle';
        require getLayoutPath::getLayoutPathCom('com_vehiclemanager',$type, $layout);
    }


    /**
     * Display links to categories
     */
    static function showCategories(&$params, &$categories, &$catid, &$tabclass, &$currentcat, $layout = 'default')
    {
        global $mosConfig_absolute_path;
       $type = 'all_categories';
      require getLayoutPath::getLayoutPathCom('com_vehiclemanager',$type, $layout);

    }

//*************   begin  for "add button"   ********************************


                static function showAddButton()
                {
                    global $mosConfig_live_site, $Itemid;
                    ?>
        <form action="<?php echo sefRelToAbs("index.php?option=com_vehiclemanager&task=show_add_vehicle&Itemid=$Itemid");
                    ?>" method="post" name="show_add" enctype="multipart/form-data">
            <input  type="submit" name="submit" value="<?php echo _VEHICLE_MANAGER_LABEL_ADD_VEHICLE; ?>" class="button"/>
        </form>
        <?php
    }

//*********************************   end for "add button"   ******************************************
//*********************************   begin  for "my cars"   ******************************************


    static function showButtonMyCars()
    {
        global $mosConfig_live_site, $Itemid, $my;
        ?>
        <form action="<?php echo sefRelToAbs("index.php?option=com_vehiclemanager&task=show_my_cars&Itemid=$Itemid&name=$my->name");
        ?>" method="post" name="show_my_cars">
            <input  type="submit" name="submit" value="<?php echo _VEHICLE_MANAGER_LABEL_SHOW_MY_CARS; ?>"class="button"/>
        </form>
        <?php
    }

//*********************************   end for "my cars"   ******************************************
//*********************************   begin  for " owners list"   ******************************************


    static function showOwnersButton()
    {
        global $mosConfig_live_site, $Itemid;
        ?>
        <form action="<?php echo sefRelToAbs("index.php?option=com_vehiclemanager&" . "task=owners_list&Itemid=$Itemid");
            ?>" method="post" name="ownerslist">
            <input  type="submit" name="submit" value="<?php echo _VEHICLE_MANAGER_LABEL_BUTTON_OWNERSLIST; ?>"class="button"/>
        </form>
                    <?php
                }

//*********************************   end for "ownerslist"   ******************************************/*


    static function listCategories(&$params, $cat_all, $catid, $tabclass, $currentcat)
    {
        global $Itemid, $mosConfig_live_site;
        ?>
        <?php positions_vm($params->get('allcategories04')); ?>
        <div class="basictable_12 basictable">
            <div class="row_01">
                <span class=" col_01 sectiontableheader<?php echo $params->get('pageclass_sfx'); ?>"><?php echo _VEHICLE_MANAGER_LABEL_CATEGORY; ?></span>
		      
                <span class="col_003 sectiontableheader<?php echo $params->get('pageclass_sfx'); ?>"><?php echo _VEHICLE_MANAGER_LABEL_VEHICLES; ?> </span>

            </div>
            <div class="row_02">
                <span class="col_01">
        <?php positions_vm($params->get('allcategories05')); ?>

        <?php
        HTML_vehiclemanager::showInsertSubCategory($catid, $cat_all, $params, $tabclass, $Itemid, 0);
        ?>
                </span>
            </div>
        </div>
        <?php positions_vm($params->get('allcategories06')); ?>

                <?php
            }

            /*
             * function for show subcategory
             */

            static function showInsertSubCategory($id, $cat_all, $params, $tabclass, $Itemid, $deep)
            {
                global $g_item_count, $vehiclemanager_configuration, $mosConfig_live_site;
                $deep++;
                for ($i = 0; $i < count($cat_all); $i++) {
                    if (($id == $cat_all[$i]->parent_id) && ($cat_all[$i]->display == 1))
                    {
                        $g_item_count++;

                        $link = 'index.php?option=com_vehiclemanager&amp;task=alone_category&amp;catid=' . $cat_all[$i]->id . '&amp;Itemid=' . $Itemid;
                        ?>
                <div class="basictable_13 basictable">
                    <div class="row_01 <?php echo $tabclass[($g_item_count % 2)]; ?>">
                        <span class="col_01">
                <?php
                if ($deep != 1)
                {
                    $jj = $deep;
                    while ($jj--) {
                        echo "&nbsp;&nbsp;";
                    }
                    echo "&nbsp;|_";
                }
                ?>
                        </span>
                        <span class="col_01">
                <?php if (($params->get('show_cat_pic')) && ($cat_all[$i]->image != ""))
                { ?>
                                <img src="./images/stories/<?php echo $cat_all[$i]->image; ?>" alt="picture for subcategory" height="48" width="48" />&nbsp;
                    <?php } else
                {
                    ?>
                                <a <?php echo "href=" . sefRelToAbs($link); ?> class="category<?php echo $params->get('pageclass_sfx'); ?>" style="text-decoration: none"><img src="./components/com_vehiclemanager/images/folder.png" alt="picture for subcategory" height="48" width="48" /></a>&nbsp;
                <?php } ?>
                        </span>
                        <span class="col_02">
                <?php
                $count_veh = $cat_all[$i]->vehicles * 1;
                if ($count_veh != 0)
                {
                    $disable_link = "";
                    if ($cat_all[$i]->published != 1)
                        $disable_link = "href='#' onClick = 'return false'";
                    else
                        $disable_link = "href='" . sefRelToAbs($link) . "'";
                    ?>            
                                <a <?php echo $disable_link; ?> class="category<?php echo $params->get('pageclass_sfx'); ?>">
                    <?php
                } else
                {
                    echo "";
                }
                ?>                  
                <?php echo $cat_all[$i]->title; ?>
                            </a>
                        </span>
                        <span class="col_03"><?php if ($cat_all[$i]->vehicles == '') echo "0";else echo $cat_all[$i]->vehicles; ?></span>
                    </div>
                </div>
                    <?php
                    if ($GLOBALS['subcategory_show'])
                        HTML_vehiclemanager::showInsertSubCategory($cat_all[$i]->id, $cat_all, $params, $tabclass, $Itemid, $deep);
                }//end if ($id == $cat_all[$i]->parent_id)
            }//end for(...)	
        }

//end function showInsertSubCategory($id, $cat_all)

    static function showSearchVehicles($params, $currentcat, $clist, $option, $years, &$arraymakersmodels, $layout) {
        global $mosConfig_absolute_path;
        // $layout = $params->get('showsearchvehiclelayout', 'default'); // need when not realize layout select from admin
        $type = 'show_search_vehicle';
        require getLayoutPath::getLayoutPathCom('com_vehiclemanager',$type, $layout);

    }

   
    static function showRentRequestThanks($params, $catid, $currentcat)
    {
        global $Itemid, $doc, $mosConfig_live_site, $hide_js, $option;
        $doc->addStyleSheet($mosConfig_live_site . '/components/com_vehiclemanager/includes/vehiclemanager.css');
        ?>
        <div class="componentheading<?php echo $params->get('pageclass_sfx'); ?>">
            <?php echo $currentcat->header; ?>
        </div>

        <div class="table_save_add_vehicle basictable">
        <?php if ($currentcat->img != null)
        { ?>
           <div class="col_01"><img src="<?php echo $currentcat->img; ?>" alt="?" /></div>
            <?php
        }
        ?>
         <div class="col_02"><?php echo $currentcat->descrip; ?></div>
        </div>


        <?php
        if ($option != "com_vehiclemanager")
        {
            $path = $mosConfig_live_site . "/index.php?option=" . $option . "&amp;task=my_vehicles&amp;is_show_data=1&amp;
tab=getmyvehiclesTab&amp;Itemid=" . $_REQUEST['Itemid'];
            $path_other = $mosConfig_live_site . "/index.php?option=" . $option . "&amp;task=view_user_vehicles&amp;is_show_data=1&amp;Itemid=" . $_REQUEST['Itemid'];
        } else
        {
            $path = $mosConfig_live_site . "/index.php?option=com_vehiclemanager&amp;task=my_vehicles&amp;Itemid=" . $_REQUEST['Itemid'];
            $path_other = $mosConfig_live_site . "/index.php?option=com_vehiclemanager&amp;task=showCategory&amp;catid=" . $catid . "&amp;Itemid=" . $_REQUEST['Itemid'];
        }
        ?>

      
            <div class="basictable_15 basictable">
                <div class="row_01">
                    <span class="col_02">
                        <input class="button" type="submit" ONCLICK="window.location.href='<?php
                       $user = JFactory::getUser(); 
                        if(!$user->guest) {
        if ($catid == 0)
        {
            echo $path;
        } else if ($_REQUEST['where'] == 2)
        {
            echo sefRelToAbs($path_other);
        } else
        {
            echo sefRelToAbs($path);
        }
                        } else
                        {
                            echo sefRelToAbs($mosConfig_live_site . "/index.php?option=com_vehiclemanager&amp;Itemid=" . $_REQUEST['Itemid']);
                        }
        ?>'" value="OK">
                    </span>
                </div>
            </div>

            <div class="basictable_16 basictable">
                    <?php mosHTML::BackButton($params, $hide_js); ?>
            </div>

        <?php
    }

    static function showTabs(&$params, &$userid, &$username, &$comprofiler, &$option)
    {
        global $Itemid;
		$option = 'com_vehiclemanager';
        ?>
        <div class='button_margin'>
                        <?php
                        if ($params->get('show_cb'))
                        {
                            if ($params->get('show_cb_registrationlevel'))
                            {
                              //  if ($option != "com_vehiclemanager") {
                                    ?>
                        <span class='vehicle_button'>
                            <a href="<?php echo JRoute::_('index.php?option=' . $option . '&task=view_user_vehicles&tab=getmyvehiclesTab&name=' . $username . '&Itemid=' . $Itemid . '&is_show_data=1'); ?>"><?php echo JText::_('show my cars'); ?></a>
                        </span>
                                    <?php
                              //  }
                            }
                        }

                        if ($params->get('show_edit'))
                        {
                            if ($params->get('show_edit_registrationlevel'))
                            {
                                ?>
                    <span class='vehicle_button'>
                        <a href="<?php echo JRoute::_('index.php?option=' . $option . '&task=edit_my_cars&Itemid=' . $Itemid . $comprofiler); ?>"><?php echo JText::_('edit my cars'); ?></a>
                    </span>
                <?php
            }
        }

        if ($params->get('show_rent'))
        {
            if ($params->get('show_rent_registrationlevel'))
            {
                ?>
                    <span class='vehicle_button'>
                        <a href="<?php echo JRoute::_('index.php?option=' . $option . '&task=rent_requests_vehicle&Itemid=' . $Itemid . $comprofiler); ?>"><?php echo JText::_('rent requests'); ?></a>
                    </span>
                                <?php
                            }
                        }

                        if ($params->get('show_buy'))
                        {
                            if ($params->get('show_buy_registrationlevel'))
                            {
                                ?>
                    <span class='vehicle_button'>
                        <a href="<?php echo JRoute::_('index.php?option=' . $option . '&task=buying_requests_vehicle&Itemid=' . $Itemid . $comprofiler); ?>"><?php echo JText::_('buying requests'); ?></a>
                    </span>
                                    <?php
                                }
                            }

                            if ($params->get('show_history'))
                            {
                                if ($params->get('show_history_registrationlevel'))
                                {
                                    ?>
                    <span class='vehicle_button'>
                        <a href="<?php echo JRoute::_('index.php?option=' . $option . '&task=rent_history_vehicle&name=' . $username . '&user=' . $userid . '&Itemid=' . $Itemid . $comprofiler); ?>"><?php echo JText::_('my rent history'); ?></a>
                    </span>
                                <?php
                            }
                        }
                        ?>
        </div>
                        <?php
                    }

                    static function showMyCars(&$vehicles, &$params, &$pageNav)
                    {
                        global $mosConfig_absolute_path;
                        $layout = $params->get('myvehicleslayout', 'default');
                        $type = 'my_vehicles';
                        require getLayoutPath::getLayoutPathCom('com_vehiclemanager',$type, $layout);

                    }

                    static function showRentVehicles($option, & $rows, & $userlist, $type)
                    {
                        global $my, $mosConfig_live_site, $mainframe, $doc, $Itemid,$vehiclemanager_configuration;
                        $doc->addScript($mosConfig_live_site . '/components/com_vehiclemanager/includes/functions.js');
                        $doc->addStyleSheet($mosConfig_live_site . '/components/com_vehiclemanager/includes/vehiclemanager.css');
                        $doc->addStyleSheet($mosConfig_live_site . '/components/com_vehiclemanager/includes/custom.css');
                        
                        ?>
        <div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>
        <form action="index.php" method="get" name="adminForm" id="adminForm">
        <?php
        if ($type == "rent" || $type == "edit_rent")
        {
            ?>
                <div class="my_vehicles_table_rent">
                    <div class="my_vehicles">
                        <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_TO . ":"; ?></span>
                        <span class="col_02"><?php echo $userlist; ?></span>
                    </div>
                    <div class="my_vehicles">
                        <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_USER . ":"; ?></span>
                        <span class="col_02"><input type="text" name="user_name" class="inputbox" /></span>
                    </div>
                    <div class="my_vehicles">
                        <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_EMAIL . ":"; ?></span>
                        <span class="col_02"><input type="text" name="user_email" class="inputbox" /></span>
                    </div>
                    <script>
                    Date.prototype.toLocaleFormat = function(format) {
                    var f = {Y : this.getYear() + 1900,m : this.getMonth() + 1,d : this.getDate(),H : this.getHours(),M : this.getMinutes(),S : this.getSeconds()}
                    for(k in f)
                    format = format.replace('%' + k, f[k] < 10 ? "0" + f[k] : f[k]);
                    return format;
                    };
                    
                    window.onload = function ()

                    {
                        var today = new Date();
                        var date = today.toLocaleFormat("<?php echo $vehiclemanager_configuration['date_format'] ?>");
                        document.getElementById('rent_from').value = date;
                        document.getElementById('rent_until').value = date;
                    };

                    </script>
                    <div class="my_vehicles">
                        <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_FROM . ":"; ?></span>
                        <?php echo JHtml::_('calendar', date("Y-m-d"), 'rent_from', 'rent_from', $vehiclemanager_configuration['date_format'], array('size' => '17')); ?>
                    </div>
                    <div class="my_vehicles">
                        <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_TIME; ?></span>
                        <?php echo JHtml::_('calendar', date("Y-m-d"), 'rent_until', 'rent_until', $vehiclemanager_configuration['date_format'], array('size' => '17')); ?>
                    </div>
                </div>
        <?php } else
        { ?>
                &nbsp;
        <?php } ?>

            <div class="basictable_19">
                <div class="row_01">
                    <span class="col_01">
                        <?php if ($type != 'rent')
                        { ?>
                            <input type="checkbox" name="toggle" value="" onClick="vm_checkAll(this);" />
                            <span class="toggle_check">check All</span>
                        <?php } ?>
                    </span>
                    <!--<span class="col_02 title">id</span>
                    <span class="col_03 title"><?php// echo _VEHICLE_MANAGER_LABEL_VEHICLEID; ?></span>
                    <span class="col_04 title"><?php// echo _VEHICLE_MANAGER_LABEL_TITLE; ?></span>
                    <span class="col_05 title"><?php// echo _VEHICLE_MANAGER_LABEL_RENT_FROM; ?></span>
                    <span class="col_06 title"><?php// echo _VEHICLE_MANAGER_LABEL_RENT_UNTIL; ?></span>
                    <span class="col_07 title"><?php// echo _VEHICLE_MANAGER_LABEL_RENT_RETURN; ?></span>
                    <span class="col_08 title"><?php// echo _VEHICLE_MANAGER_LABEL_RENT_TO; ?></span>-->
                </div>

        <?php
        for ($i = 0, $n = count($rows); $i < $n; $i++) {
            $row = & $rows[$i];
            //error for this row rent was called even if the Vehicle is already lent out
            if ($row->rent_from != null && $type == "rent")
            {
                ?>
                 &nbsp;
                <?php
                //rent was called for a correct Vehicle
            } else if ($row->rent_from == null && $type == "rent")
            {
                //rent return was called on a Vehicle which was not rent out
            } else if ($row->rent_from == null && $type == "rent_return")
            {
                ?>
                        &nbsp;
                <?php
                //rent return was called correctly
            } else if ($row->rent_from != null && $type == "rent_return")
            {
                
            } else
            {
                ?>
                        &nbsp;
                <?php
            }
            ?>
                    <input class="inputbox" type="hidden" name="vehicleid" id="vehicleid" size="0" maxlength="0" value="<?php echo $row->vehicleid; ?>" />
                    <input class="inputbox" type="hidden" name="id" id="id" size="0" maxlength="0" value="<?php echo $row->id; ?>" />
                    <input class="inputbox" type="hidden" name="vtitle" id="vtitle" size="0" maxlength="0" value="<?php echo $row->vtitle; ?>" />
            <?php
            $vehicle = $row->id;
            $title = $row->vtitle;
            $data = JFactory::getDBO();
            $query = "SELECT l.*,u.name FROM #__vehiclemanager_rent as l LEFT JOIN #__users AS u ON l.fk_userid = u.id WHERE fk_vehicleid =" . $vehicle . " ORDER BY rent_return ";
            $data->setQuery($query);
            $allrent = $data->loadObjectList();
            if ($type == "rent")
            {
              ?>
	<div class="vm_my_rent">
           <input class="inputbox" type="checkbox" name="checkVehicle" id="checkVehicle" size="0" maxlength="0" value="on" />
	   <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_VEHICLEID; ?></span> 
           <span class="col_02"><?php echo $row->vehicleid; ?></span>
           <span class="col_03"><?php echo $title; ?></span>
	</div>
		<?php
	      print_r("<hr />");
            } else if ($type == "edit_rent")
            {
             ?>
            <input type="hidden" name="checkVehicle" id="checkVehicle" value="on" /></span>
             <?php
            }
            $num = 1;
            for ($i = 0, $n = count($allrent); $i < $n; $i++) {
                ?>

	  <div class="box_rent_vm">

	      <div class="row_01 row_rent_vm">
                <?php if (!isset($allrent[$i]->rent_return) && $type != "rent")
                { ?>
               <span class="rent_check_vid">
	      <input type="checkbox" id="cb<?php echo $i; ?>" name="vid[]" value="<?php echo $allrent[$i]->id; ?>" onClick="isChecked(this.checked);" />
	    </span>
                <?php } else
                { ?>
                <?php } ?>
                <span class="col_01">id</span>
		<span class="col_02"><?php echo $num; ?></span>
	      </div>

	      <div class="row_02 row_rent_vm">
                <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_VEHICLEID; ?></span>  
		<span class="col_02"><?php echo $row->vehicleid; ?></span>
	      </div>

	      <div class="row_03 row_rent_vm">
		<?php echo $row->vtitle; ?>
	      </div>

	  <div class="from_until_return">

	      <div class="row_04 row_rent_vm">
                <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_FROM; ?></span>  
		<span class="col_02"><?php echo data_transform_vm($allrent[$i]->rent_from); ?></span>
	      </div>
		   <br />
	      <div class="row_05 row_rent_vm">
                <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_UNTIL; ?></span>  
		<span class="col_02"><?php echo data_transform_vm($allrent[$i]->rent_until); ?></span>
	      </div>
		  <br />
	      <div class="row_06 row_rent_vm">
                <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_RETURN; ?></span>  
		<span class="col_02"><?php echo data_transform_vm($allrent[$i]->rent_return); ?></span>
	      </div>

	  </div>
</div>
                <?php
                if ($allrent[$i]->fk_userid != null)
                    print_r("<div class='rent_user'>" . $allrent[$i]->name . "</div>");
                else
                    print_r("<div class='rent_user'>" . $allrent[$i]->user_name . ": " . $allrent[$i]->user_email . "</div>");
                $num++;
            }        
	  }
        ?>
       </div> <!-- basictable_19  -->

            <input type="hidden" name="option" value="<?php echo $option; ?>" />
            <input type="hidden" id="adminFormTaskInput" name="task" value="" />
            <input type="hidden" name="save" value="1" />
            <input type="hidden" name="boxchecked" value="1" />
        <?php
        if ($option != "com_vehiclemanager")
        {
            ?>
                <input type="hidden" name="tab" value="getmyvehiclesTab" />
                <input type="hidden" name="is_show_data" value="1" />
            <?php
        }
        ?>
            <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />

        <?php if ($type == "rent")
        { ?>
                <input type="button" name="rent_save" value="<?php echo _VEHICLE_MANAGER_LABEL_BUTTON_RENT; ?>" onclick="vm_buttonClickRent(this)"/>
        <?php } ?>
        <?php if ($type == "rent_return")
        { ?>
                <input type="button" name="rentout_save" value="<?php echo _VEHICLE_MANAGER_LABEL_RENT_RETURN; ?>" onclick="vm_buttonClickRent(this)"/>
        <?php } ?>
        </form>
        <?php
    }

    

    static function showRequestRentVehicles($option, &$rent_requests, &$pageNav)
    {
        global $my, $mosConfig_live_site, $mainframe, $doc, $Itemid;
        $session = JFactory::getSession();
        $arr = $session->get("array", "default");
        $doc->addScript($mosConfig_live_site . '/components/com_vehiclemanager/includes/functions.js');
        $doc->addStyleSheet($mosConfig_live_site . '/components/com_vehiclemanager/includes/custom.css');
        ?>
        <form action="index.php" method="get" name="adminForm" id="adminForm">
            <div class="rent_requests_vehicle">
             <div class="row_01">
                <span class="col_01"><input type="checkbox" name="toggle" value="" onClick="vm_checkAll(this);" /></span>
                <span class="col_02">check All</span>
           </div>
        <?php
        for ($i = 0, $n = count($rent_requests); $i < $n; $i++) {
            $row = & $rent_requests[$i];
            ?>

	  <span class="user_name"><?php echo $row->user_name; ?></span>
		  <span class="arrow_up_comment"></span>
              <div class="rent_vehicle_head row_0<?php echo $i % 2; ?>">

	      <div class="row_vm_rent">

		  <div class="row_vtitle">
		   <?php //echo _VEHICLE_MANAGER_LABEL_TITLE; ?>
                   <?php echo $row->vtitle; ?>
		  </div>

		  <div class="row_01">
		    <?php echo mosHTML::idBox($i, $row->id, 0, 'vid'); ?>
		    <span class="col_01">id</span>
                    <span class="col_02"><?php echo $row->id; ?></span>
		  </div>

		  <div class="row_02">
		    <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_VEHICLEID; ?></span>
		    <span class="col_02">
			  <?php
			    $data = JFactory::getDBO();
			    $query = "SELECT vehicleid FROM #__vehiclemanager_vehicles where id = " . $row->fk_vehicleid . " ";
			    $data->setQuery($query);
			    $vehicleid = $data->loadObjectList();
		       echo $vehicleid[0]->vehicleid;
			  ?>
		    </span>
		  </div>

	     </div>

		<?php //echo _VEHICLE_MANAGER_LABEL_RENT_USER; ?>

		  <div class="row_comment">
		    <?php //echo _VEHICLE_MANAGER_LABEL_RENT_ADRES; ?>
		    <span class="quotes_before"></span>
			  <?php echo $row->user_mailing; ?>
		    <span class="quotes_after"></span>
		  </div>

		 <div class="mailto_from_until">
		  <div class="row_mailto">
		  <img src="<?php echo $mosConfig_live_site; ?>/components/com_vehiclemanager/images/mail_request.png" alt="email" />
		   <?php //echo _VEHICLE_MANAGER_LABEL_RENT_EMAIL; ?>
                   <a href=mailto:"<?php echo $row->user_email; ?>"><?php echo $row->user_email; ?></a>
		  </div>
		  <div class="row_from">
		    <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_FROM; ?></span>
                    <span class="col_02"><?php echo $row->rent_from; ?></span>
		  </div>
		  <div class="row_until">
		    <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_RENT_UNTIL; ?></span>
                    <span class="col_02"><?php echo $row->rent_until; ?></span>
		  </div>
		 </div>

               </div>
            <?php
        }
        ?>
      </div>

           <div class="page_navigation row_<?php echo $i % 2; ?>">
              <div class="row_02">
		<?php
		  $paginations = $arr;
	      if ($paginations && ($pageNav->total > $pageNav->limit))
		 {
		echo $pageNav->getPagesLinks();
		    }
		  ?>
             </div>
          </div>

            <input type="hidden" name="option" value="<?php echo $option; ?>" />
        <?php
        if ($option != "com_vehiclemanager")
        {
            ?>
                <input type="hidden" name="tab" value="getmyvehiclesTab" />
                <input type="hidden" name="is_show_data" value="1" />
            <?php
        }
        ?>
            <input type="hidden" id="adminFormTaskInput" name="task" value="" />
            <input type="hidden" name="boxchecked" value="0" />
            <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
            <input type="button" name="acceptButton" value="accept request" onclick="vm_buttonClickRentRequest(this)"/>
            <input type="button" name="declineButton" value="decline request" onclick="vm_buttonClickRentRequest(this)"/>
        </form>
        <?php
    }

    static function showRequestBuyingVehicles($option, $buy_requests, $pageNav)
    {
        global $my, $mosConfig_live_site, $mainframe, $doc, $Itemid;
        $session = JFactory::getSession();
        $arr = $session->get("array", "default");
        $doc->addScript($mosConfig_live_site . '/components/com_vehiclemanager/includes/functions.js');
        $doc->addStyleSheet($mosConfig_live_site . '/components/com_vehiclemanager/includes/custom.css');
        ?>
        <form action="index.php" method="get" name="adminForm" id="adminForm">

            <div class="buy_requests_form">
                <div class="row_01">
                    <span class="col_01"><input type="checkbox" name="toggle" value="" onClick="vm_checkAll(this);" /></span>
		    <span class="check_all_requests">check All</span>
               </div>
        <?php
        for ($i = 0, $n = count($buy_requests); $i < $n; $i++) {
            $row = $buy_requests[$i];
            ?>

        <span class="user_name"><?php echo $row->customer_name; ?></span>
	    <span class="arrow_up_comment"></span>
          <div class="box_request_vm row_0<?php echo $i % 2; ?>">

      <div class="row_vid">
	<div class="col_vtitle">
            <?php //echo _VEHICLE_MANAGER_LABEL_TITLE; ?>
            <?php echo $row->vtitle; ?>
	</div>
	<div class="row_01">
            <?php
            if ($row->fk_rentid != 0)
            {
            ?>
              &nbsp;
                <?php
            } else
            {
             ?>
		<?php echo mosHTML::idBox($i, $row->id, ($row->fk_rentid != 0), 'vid'); ?>
             <?php
            }
            ?>
	  <span class="col_02">id</span>
	  <span class="col_03"><?php echo $row->id; ?></span>
	</div>

	<div class="row_02">
	    <span class="col_01"><?php echo _VEHICLE_MANAGER_LABEL_VEHICLEID; ?></span>
            <span class="col_02"><?php echo $row->fk_vehicleid; ?></span>
	</div>
    </div>

		  <?php //echo _VEHICLE_MANAGER_LABEL_RENT_USER; ?>

		<div class="row_comment">
                  <?php //echo _VEHICLE_MANAGER_LABEL_COMMENT; ?>
                  <span class="quotes_before"></span>
		      <?php echo $row->customer_comment; ?>
                  <span class="quotes_after"></span>
		</div>

		    <div class="mailto_phone">
		<div class="row_mailto">
		  <img src="<?php echo $mosConfig_live_site; ?>/components/com_vehiclemanager/images/mail_request.png" alt="email" />
                  <?php //echo _VEHICLE_MANAGER_LABEL_RENT_EMAIL; ?>
		  <a href=mailto:"<?php echo $row->customer_email; ?>"><?php echo $row->customer_email; ?></a>
		</div>
		<div class="row_phone">
		  <img src="<?php echo $mosConfig_live_site; ?>/components/com_vehiclemanager/images/phone_request.png" alt="phone" />
                  <?php //echo _VEHICLE_MANAGER_LABEL_BUYING_ADRES; ?>
                  <span class="col_phone"><?php echo $row->customer_phone; ?></span>
		</div>
		    </div>

            </div>
          <?php
         }
        ?>

    </div>

        <div class="page_navigation">
           <div class="row_02">
	    <?php
		$paginations = $arr;
	    if ($paginations && ($pageNav->total > $pageNav->limit))
	    {
		echo $pageNav->getPagesLinks();
	    }
	    ?>
	  </div>
      </div>

            <input type="hidden" name="option" value="<?php echo $option; ?>" />
        <?php
        if ($option != "com_vehiclemanager")
        {
            ?>
                <input type="hidden" name="tab" value="getmyvehiclesTab" />
                <input type="hidden" name="is_show_data" value="1" />
            <?php
        }
        ?>
            <input type="hidden" id="adminFormTaskInput" name="task" value="" />
            <input type="hidden" name="boxchecked" value="0" />
            <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
            <input type="button" name="acceptButton" value="accept request" onclick="vm_buttonClickBuyRequest(this)"/>
            <input type="button" name="declineButton" value="decline request" onclick="vm_buttonClickBuyRequest(this)"/>
        </form>
        <?php
    }
}
//END CLASS VEHICLE MANAGER HTML
?>