<?php
if (!defined('_VALID_MOS') && !defined('_JEXEC'))
    die('Direct Access to ' . basename(__FILE__) . ' is not allowed.');

/**
 *
 * @package  VehicleManager
 * @copyright 2012 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com);
 * Homepage: http://www.ordasoft.com
 * @version: 2.2 Pro 
 *
 * */
if (!defined('DS'))
    define('DS', DIRECTORY_SEPARATOR);

if (isset($GLOBALS['mosConfig_absolute_path']))
    $mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path'];
else
    $mosConfig_absolute_path = JPATH_SITE; //JURI::base(true); // if file is calling from the module

include_once ($mosConfig_absolute_path . DS . 'components' . DS . 'com_vehiclemanager' . DS . 'vehiclemanager.main.categories.class.php');
require_once ($mosConfig_absolute_path . DS . 'components' . DS . 'com_vehiclemanager' . DS . 'includes' . DS . 'parameters.php');
if (version_compare(JVERSION, '3.0', 'lt'))
{
    require_once (JPATH_ROOT . DS . 'libraries' . DS . 'joomla' . DS . 'database' . DS . 'table' . DS . 'menu.php' );
}
require_once ($mosConfig_absolute_path . DS . 'components' . DS . 'com_vehiclemanager' . DS . 'includes' . DS . 'menu.php' );
jimport('joomla.html.pagination');

if (!isset($GLOBALS['vehiclemanager_configuration']))
{
    require_once (JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_vehiclemanager' . DS . 'admin.vehiclemanager.class.conf.php' );
    $GLOBALS['vehiclemanager_configuration'] = isset($vehiclemanager_configuration) ? $vehiclemanager_configuration : null ;
}


/**
 * Legacy function, use <jdoc:include type="module" /> instead
 *
 * @deprecated As of version 1.5
 */
if (!function_exists('mosLoadModule'))
{

    function mosLoadModule($name, $style = -1)
    {
        ?><jdoc:include type="module" name="<?php echo $name ?>" style="<?php echo $style ?>" /><?php
    }

}


/**
 * Legacy function, using <jdoc:include type="modules" /> instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosMail'))
{

    function mosMail($from, $fromname, $recipient, $subject, $body, $mode = 0, $cc = NULL, $bcc = NULL, $attachment = NULL, $replyto = NULL, $replytoname = NULL)
    {
        $mail = JMail::getInstance();
        return $mail->sendMail($from, $fromname, $recipient, $subject, $body, $mode, $cc, $bcc, $attachment, $replyto, $replytoname);
    }

}


if (!function_exists('mosLoadAdminModules'))
{

    function mosLoadAdminModules($position = 'left', $style = 0)
    {
        // Select the module chrome function
        if (is_numeric($style))
        {
            switch ($style) {
                case 2:
                    $style = 'xhtml';
                    break;
                case 0:
                default:
                    $style = 'raw';
                    break;
            }
        }
        ?><jdoc:include type="modules" name="<?php echo $position ?>" style="<?php echo $style ?>" /><?php
    }

}


/**
 * Legacy function, using <jdoc:include type="module" /> instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosLoadAdminModule'))
{

    function mosLoadAdminModule($name, $style = 0)
    {
        ?><jdoc:include type="module" name="<?php echo $name ?>" style="<?php echo $style ?>" /><?php
    }

}


/**
 * Legacy function, always use {@link JRequest::getVar()} instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosStripslashes'))
{

    function mosStripslashes(&$value)
    {
        $ret = '';
        if (is_string($value))
        {
            $ret = stripslashes($value);
        } else
        {
            if (is_array($value))
            {
                $ret = array();
                foreach ($value as $key => $val)
                    $ret[$key] = mosStripslashes($val);
            } else
                $ret = $value;
        }
        return $ret;
    }

}


/**
 * Legacy function, use {@link JFolder::files()} or {@link JFolder::folders()} instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosReadDirectory'))
{

    function mosReadDirectory($path, $filter = '.', $recurse = false, $fullpath = false)
    {
        $arr = array(null);
        // Get the files and folders
        jimport('joomla.filesystem.folder');
        $files = JFolder::files($path, $filter, $recurse, $fullpath);
        $folders = JFolder::folders($path, $filter, $recurse, $fullpath);
        // Merge files and folders into one array
        $arr = array();
        if (is_array($files))
            $arr = $files;
        if (is_array($folders))
            $arr = array_merge($arr, $folders);
        // Sort them all
        asort($arr);
        return $arr;
    }

}


/**
 * Legacy function, use {@link JApplication::redirect() JApplication->redirect()} instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosRedirect'))
{

    function mosRedirect($url, $msg = '')
    {
        global $mainframe;
        $mainframe->redirect($url, $msg);
    }

}


if (!function_exists("formatMoney"))
{

    function formatMoney($number, $fractional = false, $pattern = ".")
    {


        if ($fractional)
        {
            $number = sprintf('%.2f', $number);
        }
        if ($pattern == ".")
            $number = str_replace(".", ",", $number);

        while (true) {
            $replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1' . $pattern . '$2', $number);
            //echo $replaced."<br>";
            if ($replaced != $number)
            {
                $number = $replaced;
            } else
            {
                break;
            }
        }
        // $number = preg_replace('/\^/', $number, $pattern);
        return $number;
    }

}



/**
 * Legacy function, use {@link JArrayHelper::getValue()} instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosGetParam'))
{

    function mosGetParam(&$arr, $name, $def = null, $mask = 0)
    {
        // Static input filters for specific settings
        static $noHtmlFilter = null;
        static $safeHtmlFilter = null;

        $var = JArrayHelper::getValue($arr, $name, $def, '');

        // If the no trim flag is not set, trim the variable
        if (!($mask & 1) && is_string($var))
            $var = trim($var);

        // Now we handle input filtering
        if ($mask & 2)
        {
            // If the allow html flag is set, apply a safe html filter to the variable
            if (is_null($safeHtmlFilter))
                $safeHtmlFilter = JFilterInput::getInstance(null, null, 1, 1);
            $var = $safeHtmlFilter->clean($var, 'none');
        } elseif ($mask & 4)
        {
            // If the allow raw flag is set, do not modify the variable
            $var = $var;
        } else
        {
            // Since no allow flags were set, we will apply the most strict filter to the variable
            if (is_null($noHtmlFilter))
            {
                $noHtmlFilter = JFilterInput::getInstance(/* $tags, $attr, $tag_method, $attr_method, $xss_auto */);
            }
            $var = $noHtmlFilter->clean($var, 'none');
        }
        return $var;
    }

}


/**
 * Legacy function, use {@link JEditor::save()} or {@link JEditor::getContent()} instead
 *
 * @deprecated  As of version 1.5
 */
if( !function_exists('editorArea')) {
    function editorArea($name, $content, $hiddenField, $width, $height, $col, $row,$option=true) {
            jimport( 'joomla.html.editor' );
            $editor = JFactory::getEditor();
            echo $editor->display($hiddenField, $content, $width, $height, $col, $row,$option);
    }
}


/**
 * Legacy function, use {@link JFilterOutput::objectHTMLSafe()} instead
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosMakeHtmlSafe'))
{

    function mosMakeHtmlSafe(&$mixed, $quote_style = ENT_QUOTES, $exclude_keys = '')
    {
        JFilterOutput::objectHTMLSafe($mixed, $quote_style, $exclude_keys);
    }

}


/**
 * Legacy utility function to provide ToolTips
 *
 * @deprecated As of version 1.5
 */
if (!function_exists('mosToolTip'))
{

    function mosToolTip($tooltip, $title = '', $width = '', $image = 'tooltip.png', $text = '', $href = '', $link = 1)
    {
        // Initialize the toolips if required
        static $init;
        if (!$init)
        {
            JHTML::_('behavior.tooltip');
            $init = true;
        }
        return JHTML::_('tooltip', $tooltip, $title, $image, $text, $href, $link);
    }

}


/**
 * Legacy function to replaces &amp; with & for xhtml compliance
 *
 * @deprecated  As of version 1.5
 */
if (!function_exists('mosTreeRecurse'))
{

    function mosTreeRecurse($id, $indent, $list, &$children, $maxlevel = 9999, $level = 0, $type = 1)
    {
        jimport('joomla.html.html');
        return JHTML::_('menu.treerecurse', $id, $indent, $list, $children, $maxlevel, $level, $type);
    }

}

class vmLittleThings
{

    static function getGroupsByUser($uid, $recurse)
    {
        if (version_compare(JVERSION, "1.6.0", "lt"))
        {
            
        } else if (version_compare(JVERSION, "1.6.0", "ge") && version_compare(JVERSION, "3.5.0", "lt"))
        {
            $database = JFactory::getDBO();
            // Custom algorythm
            $usergroups = array();
            if ($recurse == 'RECURSE')
            {
                // [1]: Recurse getting the usergroups
                $id_group = array();
                $q1 = "SELECT group_id FROM `#__user_usergroup_map` WHERE user_id={$uid}";
                $database->setQuery($q1);
                $rows1 = $database->loadObjectList();
                foreach ($rows1 as $v)
                    $id_group[] = $v->group_id;
                for ($k = 0; $k < count($id_group); $k++) {
                    $q = "SELECT g2.id FROM `#__usergroups` g1 LEFT JOIN `#__usergroups` g2 ON g1.lft > g2.lft AND g1.lft < g2.rgt WHERE g1.id={$id_group[$k]} ORDER BY g2.lft";
                    $database->setQuery($q);
                    $rows = $database->loadObjectList();
                    foreach ($rows as $r)
                        $usergroups[] = $r->id;
                }
                $usergroups = array_unique($usergroups);
            }
            // [2]: Non-Recurse getting usergroups
            $q = "SELECT * FROM #__user_usergroup_map WHERE user_id = {$uid}";
            $database->setQuery($q);
            $rows = $database->loadObjectList();
            foreach ($rows as $k => $v)
                $usergroups[] = $rows[$k]->group_id;

            // If user is unregistered, Joomla contains it into standard group (Public by default).
            // So, groupId for anonymous users is 1 (by default).
            // But custom algorythm doesnt do this: if user is not autorised, he will NOT connected to any group.
            // And groupId will be 0. 
            if (count($rows) == 0)
                $usergroups[] = -2;
            return $usergroups;
        } else
        {
            echo "Sanity test. Error version check!";
            exit;
        }
    }

    /*
      [description]: instead of using $usergroups.
      (alias_name) its a `#__vehiclemanager_main_categories` table alias.
      (alias_name) depends of the particular query, as usual its "c", "cc" or something like this.
      [call]: $s = vmLittleThings::getWhereUsergroupsString ( "alias_name" );
      [returns]: a WHERE condition for SQL query
      which can be inserted into query like ({$s})
     */

    static function getWhereUsergroupsCondition($table_alias = "c")
    {
        if (version_compare(JVERSION, "1.6.0", "lt"))
        {
            global $my;
            if (!isset($my))
            { // echo "User is logged out"; 
                if ($my = JFactory::getUser())
                    $gid = $my->gid; else
                    $gid = 0;
            } else
                $gid = $my->gid;
            $usergroups_sh = array($gid, -2);
            $s = '';
            for ($i = 0; $i < count($usergroups_sh); $i++) {
                $g = $usergroups_sh[$i];
                $s .= " $table_alias.params LIKE '%,{$g}' or $table_alias.params = '{$g}' or $table_alias.params LIKE '{$g},%' or $table_alias.params LIKE '%,{$g},%' ";
                if (($i + 1) < count($usergroups_sh))
                    $s .= ' or ';
            }
            return $s;
        } else if (version_compare(JVERSION, "1.6.0", "ge") && version_compare(JVERSION, "3.5.0", "lt"))
        {
            $my = JFactory::getUser();
            if (isset($my->id) AND $my->id != 0)
                $usergroups_sh = vmLittleThings::getGroupsByUser($my->id, '');
            else
                $usergroups_sh = array();
            $usergroups_sh[] = -2;

            $s = '';
            for ($i = 0; $i < count($usergroups_sh); $i++) {
                $g = $usergroups_sh[$i];
                $s .= " $table_alias.params LIKE '%,{$g}' or $table_alias.params = '{$g}' or $table_alias.params LIKE '{$g},%' or $table_alias.params LIKE '%,{$g},%' ";
                if (($i + 1) < count($usergroups_sh))
                    $s .= ' or ';
            }
            return $s;
        } else
        {
            echo "Sanity test. Error version check!";
            exit;
        }
    }

    /*
     * function categoryArray () 
     * Replaces the old com_veh_categoryArray ()
     * Returns the Category list depending of user access level.
     */

    static function categoryArray()
    {
        global $database, $my;
        $s = vmLittleThings::getWhereUsergroupsCondition("c");
        $query = "SELECT c.*, c.parent_id AS parent, c.params AS access"
                . "\n FROM #__vehiclemanager_main_categories AS c"
                . "\n  LEFT JOIN #__vehiclemanager_categories AS vc ON c.id=vc.idcat \n"
                . "LEFT JOIN #__vehiclemanager_vehicles AS v ON v.id=vc.iditem AND v.published=1 AND v.approved=1"
                . "\n WHERE section='com_vehiclemanager'"
                . "\n AND c.published <> -2"
                . "\n AND ({$s})"
                . "\n ORDER BY ordering";
        $database->setQuery($query);
        $items = $database->loadObjectList();

        // establish the hierarchy of the menu
        $children = array();
        // first pass - collect children
        foreach ($items as $v) {
            $pt = $v->parent;
            $list = @$children[$pt] ? $children[$pt] : array();
            array_push($list, $v);
            $children[$pt] = $list;
        }
        // second pass - get an indent list of the items
        $array = vmLittleThings::vehicleManagerTreeRecurse(0, '', array(), $children);
        return $array;
    }

    /*
     * Redefines a standard function to not display &nbsp;
     * 1.6
     */

    static function vehicleManagerTreeRecurse($id, $indent, $list, &$children, $maxlevel = 9999, $level = 0, $type = 1)
    {
        if (@$children[$id] && $level <= $maxlevel)
        {
            $parent_id = $id;
            foreach ($children[$id] as $v) {
                $id = $v->id;
                if ($type)
                {
                    $pre = " ";
                    $spacer = '. -- ';
                } else
                {
                    $pre = "- ";
                    $spacer = ' . -';
                }
                if ($v->parent == 0)
                {
                    $txt = $v->name;
                } else
                {
                    $txt = $pre . $v->name;
                }
                $pt = $v->parent;
                $list[$id] = $v;
                $list[$id]->treename = "$indent$txt";
                $list[$id]->children = count(@$children[$id]);
                $list[$id]->all_fields_in_list = count(@$children[$parent_id]);
                $list = vmLittleThings::vehicleManagerTreeRecurse($id, $indent . $spacer, $list, $children, $maxlevel, $level + 1, $type);
            }
        }
        return $list;
    }

    // An updated back-end SubMenu helper 
    static function addSubmenu($vName)
    {
        JSubMenuHelper::addEntry(
                JText::_('Vehicles'), 'index.php?option=com_vehiclemanager', $vName == 'Vehicles'
        );
        JSubMenuHelper::addEntry(
                JText::_('Categories'), 'index.php?option=com_vehiclemanager&section=categories', $vName == 'Categories'
        );
        JSubMenuHelper::addEntry(
                JText::_('Rent Requests'), 'index.php?option=com_vehiclemanager&task=rent_requests', $vName == 'Rent Requests'
        );
        JSubMenuHelper::addEntry(
                JText::_('Sale Manager'), 'index.php?option=com_vehiclemanager&task=buying_requests', $vName == 'Sale Manager'
        );
        JSubMenuHelper::addEntry(
                JText::_('Features Manager'), 'index.php?option=com_vehiclemanager&section=featured_manager', $vName == 'Features Manager'
        );
        JSubMenuHelper::addEntry(
                JText::_('Language Manager'), 'index.php?option=com_vehiclemanager&section=language_manager', $vName == 'Language Manager'
        );
        JSubMenuHelper::addEntry(
                JText::_('Settings'), 'index.php?option=com_vehiclemanager&task=config', $vName == 'Settings'
        );
        JSubMenuHelper::addEntry(
                JText::_('About'), 'index.php?option=com_vehiclemanager&task=about', $vName == 'About'
        );
    }

    static function com_veh_categoryTreeList($id, $action, $is_new, &$options = array())
    {
        $database = JFactory::getDBO();
        $list = vmLittleThings::categoryArray(); // for 1.6
        $cat = new mainVehiclemanagerCategories($database); // for 1.6
        $cat->load($id);
        $this_treename = '';
        $childs_ids = Array();
        foreach ($list as $item) {
            if ($item->id == $cat->id || array_key_exists($item->parent_id, $childs_ids))
                $childs_ids[$item->id] = $item->id;
        }

        foreach ($list as $item) {
            if ($this_treename)
            {
                if ($item->id != $cat->id
                        && strpos($item->treename, $this_treename) === false
                        && array_key_exists($item->id, $childs_ids) === false)
                {
                    $options[] = mosHTML::makeOption($item->id, $item->treename);
                }
            } else
            {
                if ($item->id != $cat->id)
                    $options[] = mosHTML::makeOption($item->id, $item->treename);
                else
                    $this_treename = "$item->treename/";
            }
        }

        $parent = null;
        $parent = mosHTML::selectList($options, 'catid', 'class="inputbox" size="1" style="width: 140px"', 'value', 'text', $cat->parent_id);
        return $parent;
    }

}

// end of vmLittleThings class
// Updated on June 25, 2011
// accessgroupid - array which contains accepted user groups for this item
// usersgroupid - groupId of the user
// For anonymous user Uid = 0 and Gid = 0 
if (!function_exists('checkAccess_VM'))
{

    function checkAccess_VM($accessgroupid, $recurse, $usersgroupid, $acl)
    {
        if (!is_array($usersgroupid)){
          $usersgroupid = explode(',' , $usersgroupid);
        }

        //parse usergroups
        $tempArr = array();
        $tempArr = explode(',', $accessgroupid);

        
        for ($i = 0; $i < count($tempArr); $i++) {
            if (( (!is_array($usersgroupid) && $tempArr[$i] == $usersgroupid )
                    OR ( is_array($usersgroupid) && in_array($tempArr[$i], $usersgroupid) ) )
                    || $tempArr[$i] == -2)
            {
                //allow access
                return true;
            } else
            {
                if ($recurse == 'RECURSE')
                {
                    if (is_array($usersgroupid))
                    {
                        foreach ( $usersgroupid as $j)
                            if (in_array($j, $tempArr))
                                return 1;
                    } else
                    {
                        if (in_array($usersgroupid, $tempArr))
                            return 1;
                    }
                }
            }
        } // end for
        //deny access
        return 0;
    }

// End of checkAccess_VM ()
}


//this function check - is exist vehicles in this folder and folders under this category 
if (!function_exists('is_exist_curr_and_subcategory_vehicles'))
{

    function is_exist_curr_and_subcategory_vehicles($catid)
    {
        $database = JFActory::getDBO();
        $my = JFActory::getUser();

        $query = "SELECT *, COUNT(a.id) AS numlinks FROM #__vehiclemanager_main_categories AS cc"
                . "\n LEFT JOIN #__vehiclemanager_categories AS vc ON vc.idcat = cc.id"
                . "\n LEFT JOIN #__vehiclemanager_vehicles AS a ON a.id = vc.iditem"
                . "\n WHERE a.published='1' AND a.approved='1' AND section='com_vehiclemanager' AND cc.id='$catid' AND cc.published='1' "
                . "\n GROUP BY cc.id"
                . "\n ORDER BY cc.ordering"; // Removed: AND cc.access <= '$my->gid'
        $database->setQuery($query);
        $categories = $database->loadObjectList();
        if (count($categories) != 0)
            return true;

        $query = "SELECT id "
                . "FROM #__vehiclemanager_main_categories AS cc "
                . " WHERE section='com_vehiclemanager' AND parent_id='$catid' AND published='1' "; // Removed: AND access<='$my->gid'
        $database->setQuery($query);
        $categories = $database->loadObjectList();

        if (count($categories) == 0)
            return false;
        foreach ($categories as $k)
            if (is_exist_curr_and_subcategory_vehicles($k->id))
                return true;
        return false;
    }

// end of is_exist_curr_and_subcategory_vehicles()
}

function data_transform_vm ($date, $date_format = "from"){
    if($date_format == "from"){
        global $vehiclemanager_configuration;
            if (strstr($date,"00:00:00") OR strlen($date) < 11){
                $mask = str_replace("%","",$vehiclemanager_configuration['date_format']);
            }else{
                $mask = str_replace("%","",$vehiclemanager_configuration['date_format']." ".$vehiclemanager_configuration['datetime_format']);
            }
    }elseif($date_format == "to"){
        $mask = "Y-m-d H:i:s";
    }
    $unix_time = strtotime($date);
    if ($unix_time > 1000 && $unix_time < 2147483647){
        $data_transform = date($mask, $unix_time);
        return $data_transform;
    }else{
        return $date;  
    }
}

if(!class_exists('getLayoutPath')){
class getLayoutPath{
    
static function getLayoutPathCom($components,$type, $layout = 'default')
        {
                $template = JFactory::getApplication()->getTemplate();
                $defaultLayout = $layout;
              
                if (strpos($layout, ':') !== false)
                {
                        // Get the template and file name from the string
                        $temp = explode(':', $layout);
                        $template = ($temp[0] == '_') ? $template : $temp[0];
                        $layout = $temp[1];
                        $defaultLayout = ($temp[1]) ? $temp[1] : 'default';
                }
          
                // Build the template and base path for the layout
                $tPath = JPATH_THEMES . '/' . $template . '/html/' . $components . '/'.$type.'/'. $layout . '.php';
                $cPath = JPATH_BASE . '/components/' . $components . '/views/'.$type.'/tmpl/'.$layout.'.php';
                $dPath = JPATH_BASE . '/components/' . $components . '/views/'.$type.'/tmpl/default.php';
        
                // If the template has a layout override use it
                if (file_exists($tPath))
                {   
                        return $tPath;
                }
                else if (file_exists($cPath))
                {   
                        return $cPath;
                }
                else if (file_exists($dPath))
                {   
                        return $dPath;
                } else {
                  echo "Bad layout path, please write to admin"; exit;
                }
        }
 }
}