<?php
/**
 * @version 3.0 Free
 * @package mod_VehicleManager_top10 FREE
 * @copyright 2013 OrdaSoft
 * @author Andrey Kvasnevskiy(akbet@ordasoft.com)
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @description mod_VehicleManager_top10 for VehicleManager Component
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
if (!defined('DS'))
    define('DS', DIRECTORY_SEPARATOR);

require_once ( JPATH_BASE .DS.'components'.DS.'com_vehiclemanager'.DS.'functions.php' );

$doc =JFactory::getDocument(); 
$doc->addStyleSheet( JURI::base(true) .'/'. 'administrator'.'/'. 'components'.'/'.'com_vehiclemanager'.'/'.'includes'.'/'.'vehiclemanager.css' );
$ItemId_tmp_from_params=$params->get('ItemId');
$moduleclass_sfx = $params->get('moduleclass_sfx', '');

if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}


$s = vmLittleThings::getWhereUsergroupsCondition ();
$database = JFactory::getDBO();

$query = "SELECT language FROM #__modules WHERE id = '$module->id'";
$database->setQuery($query);
$langmodule = $database->loadResult();

if($langmodule != "" && $langmodule != "*"){
            $selectstring = "SELECT v.*, c.id as catid FROM #__vehiclemanager_vehicles as v
                             \nLEFT JOIN #__vehiclemanager_categories AS vc ON vc.iditem=v.id
                             \nLEFT JOIN #__vehiclemanager_main_categories AS c ON c.id=vc.idcat
                             \nWHERE v.published=1 AND v.language = '".$langmodule."' AND ({$s}) AND c.published='1'".
                            "\nGROUP BY v.id".
                            "\nORDER BY hits DESC LIMIT 0,10;";
}
else{
             $selectstring = "SELECT v.*, c.id as catid FROM #__vehiclemanager_vehicles as v
                             \nLEFT JOIN #__vehiclemanager_categories AS vc ON vc.iditem=v.id
                             \nLEFT JOIN #__vehiclemanager_main_categories AS c ON c.id=vc.idcat
                             \nWHERE v.published=1 AND ({$s}) AND c.published='1'".
                            "\nGROUP BY v.id".
                            "\nORDER BY hits DESC LIMIT 0,10;";
}

$database->setQuery($selectstring);
$rows = $database->loadObjectList();

$database->setQuery("SELECT id FROM #__menu WHERE link LIKE'%option=com_vehiclemanager%' AND params LIKE '%back_button%'");
$ItemId_tmp_from_db = $database->loadResult();  
if($ItemId_tmp_from_params==""){
  $ItemId_tmp=$ItemId_tmp_from_db;
}
else{
  $ItemId_tmp=$ItemId_tmp_from_params;
}
//todo load correct itemid
?>
<noscript>Javascript is required to use Vehicle Manager <a href="http://ordasoft.com/Vehicle-Manager/vehiclemanager-basic-and-pro-feature-comparison.html">Vehicle manager software Joomla extension for Auto Dealers, Auto Dealership Companies and other Enterprises selling Vehicles
</a>, <a href="http://ordasoft.com/Vehicle-Manager/vehiclemanager-basic-and-pro-feature-comparison.html">Vehicle Manager create own vehicle web portal for sell, rent,  buy vehicles</a></noscript>
<?php 
if (version_compare(JVERSION, "3.0.0", "lt"))
    require(JModuleHelper::getLayoutPath('mod_vehiclemanager_top10', $params->get('layout', 'default'))); else
    require (JModuleHelper::getLayoutPath('mod_vehiclemanager_top10_j3', $params->get('layout', 'default')));	
 ?>